Package com.xebialabs.xlrelease.api.v1.forms

## Enum ReleaseOrderMode

- java.lang.Object
- - java.lang.Enum<ReleaseOrderMode>
  - - com.xebialabs.xlrelease.api.v1.forms.ReleaseOrderMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ReleaseOrderMode>`

      public enum ReleaseOrderMode
      extends java.lang.Enum<ReleaseOrderMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `end_date` |
    `risk` |
    `start_date` |
    `title` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReleaseOrderMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ReleaseOrderMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### risk

          public static final ReleaseOrderMode risk

    - #### start_date

          public static final ReleaseOrderMode start_date

    - #### end_date

          public static final ReleaseOrderMode end_date

    - #### title

          public static final ReleaseOrderMode title

  - ### Method Detail

    - #### values

          public static ReleaseOrderMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReleaseOrderMode c : ReleaseOrderMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReleaseOrderMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null